## Retrieve all labels `client.APIGateway.Labels.List(ctx, params) (*V4PagePaginationArray[LabelListResponse], error)` **get** `/zones/{zone_id}/api_gateway/labels` Retrieve all labels ### Parameters - `params LabelListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Direction param.Field[LabelListParamsDirection]` Query param: Direction to order results. - `const LabelListParamsDirectionAsc LabelListParamsDirection = "asc"` - `const LabelListParamsDirectionDesc LabelListParamsDirection = "desc"` - `Filter param.Field[string]` Query param: Filter for labels where the name or description matches using substring match - `Order param.Field[LabelListParamsOrder]` Query param: Field to order by - `const LabelListParamsOrderName LabelListParamsOrder = "name"` - `const LabelListParamsOrderDescription LabelListParamsOrder = "description"` - `const LabelListParamsOrderCreatedAt LabelListParamsOrder = "created_at"` - `const LabelListParamsOrderLastUpdated LabelListParamsOrder = "last_updated"` - `const LabelListParamsOrderMappedResourcesOperations LabelListParamsOrder = "mapped_resources.operations"` - `Page param.Field[int64]` Query param: Page number of paginated results. - `PerPage param.Field[int64]` Query param: Maximum number of results per page. - `Source param.Field[LabelListParamsSource]` Query param: Filter for labels with source - `const LabelListParamsSourceUser LabelListParamsSource = "user"` - `const LabelListParamsSourceManaged LabelListParamsSource = "managed"` - `WithMappedResourceCounts param.Field[bool]` Query param: Include `mapped_resources` for each label ### Returns - `type LabelListResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelListResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelListResponseSourceUser LabelListResponseSource = "user"` - `const LabelListResponseSourceManaged LabelListResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.APIGateway.Labels.List(context.TODO(), api_gateway.LabelListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user", "mapped_resources": { "operations": 29 } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```